/* ######################### RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

/* ######################### GENERAL */
body {
  display: flex;
  flex-direction: column;
  min-height: 100svh;
}

button,
input {
  font-size: 1.5rem;
  border: black solid 2px;
  padding: 0.3em 0.5em;
}

button:hover,
input:hover {
  opacity: 0.8;
}

button:active {
  scale: 0.9;
}

/* ######################### CONTROLS CONTAINER */
.controls-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;

  font-size: 1.5rem;
  font-weight: 700;
  background-color: #9d9d9d;
  min-height: 5rem;

  gap: 0.75rem;
}

/* ######################### CONTENT CONTAINER */
.content-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;

  position: relative;
  flex-grow: 1;
}

/* ######################### TIMER CONTAINER */
.timer-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  font-size: 4rem;
  font-family: monospace;
}

/* ######################### CONTENT CONTAINER - CHANGE BUTTON */
#change {
  bottom: 0;
  width: 100%;
  position: absolute;
  font-size: 3rem;
}

/* ######################### UTILITY */
.active {
  background-color: #ffeb3b;
}

.win {
  background-color: #4caf50;
}

.lose {
  background-color: #f44336;
}
